zenilib: zenilib/jni/external/freetype2/src/otvalid/otvjstf.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
otvjstf.c File Reference
`#include "otvalid.h"`
`#include "otvcommn.h"`
`#include "otvgpos.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_otvjstf
#define | JstfLookupFunc otv_GPOS_subtable_validate
#define | JstfPriorityFunc otv_JstfPriority_validate

## Functions

| otv_JSTF_validate (FT_Bytes table, FT_Bytes gsub, FT_Bytes gpos, FT_UInt glyph_count, FT_Validator ftvalid)
static void | otv_JstfPriority_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_JstfScript_validate (FT_Bytes table, OTV_Validator valid)

## Macro Definition Documentation

#define FT_COMPONENT trace_otvjstf

Definition at line 31 of file otvjstf.c.

#define JstfLookupFunc otv_GPOS_subtable_validate

Definition at line 35 of file otvjstf.c.

#define JstfPriorityFunc otv_JstfPriority_validate

Definition at line 34 of file otvjstf.c.

## Function Documentation

otv_JSTF_validate | ( | FT_Bytes | table,
|  | FT_Bytes | gsub,
|  | FT_Bytes | gpos,
|  | FT_UInt | glyph_count,
|  | FT_Validator | ftvalid
| ) |  |

Definition at line 205 of file otvjstf.c.

References FT_INVALID_FORMAT, FT_NEXT_ULONG, FT_NEXT_USHORT, FT_TRACE3, FT_TRACE4, otv_GSUBGPOS_get_Lookup_count(), OTV_INIT, otv_JstfScript_validate(), and OTV_LIMIT_CHECK.

Referenced by otv_validate().

static void otv_JstfPriority_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 42 of file otvjstf.c.

References OTV_ENTER, OTV_EXIT, OTV_LIMIT_CHECK, OTV_NEST2, OTV_OPTIONAL_OFFSET, OTV_OPTIONAL_TABLE, OTV_RUN, OTV_SIZE_CHECK, OTV_TRACE, and otv_x_ux().

static void otv_JstfScript_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 148 of file otvjstf.c.

References FT_NEXT_USHORT, OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, OTV_NEST1, OTV_NEST2, OTV_OPTIONAL_OFFSET, OTV_OPTIONAL_TABLE, OTV_RUN, OTV_SIZE_CHECK, and OTV_TRACE.

Referenced by otv_JSTF_validate().